Subject: lad in china

From: [email-masked] (Mi Mi)
Date: Tue, 19 Apr 94 21:17:56 CDT

INS will process your I-824, find out what you are up to. When they know you
are elligible to bring your son here, they will ask you further questions,
about your son, if you did not give enough; then notify GuangZhou to process
your son's case, i.e. medical examine, I-485, etc. Until then will your son
get an A# and interview, visa. He will get a temperory GC stamp on his
passport, have photo taken at the entry airport. Two monthes later, the real
GC will arrive for him. Just be patient! 

Mi Mi Sr.

   Date: Tue, 19 Apr 94 13:40:18 CDT
   Reply-To: [email-masked]
   Originator: [email-masked]
   Sender: [email-masked]
   Precedence: bulk
   From: [email-masked] (Zuhan Xi)
   X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
   X-Comment:  Late-Arrival-DependentS-List 

   Hi there,
   I field I-824 two weeks ago for my 5-year-old son who is in China and received
   the Receipt Notice (Form I-797C) from East INS Service Center today.  In this
   form, my name is on both boxes of PETITIONER and BENEFICIARY, also my A# is on 
   both boxes of FILE NUMBER corresponding to Petitioner and Beneficiary 
   respectively.  No my son's name on this notice at all.  I was confused because think that my son is the beneficiary of this petition (I-824) nd he should get his own FILE NUMBER (A#).
   Are there any experenced people who can tell wherther my thoughts correct or not?  Any responces and comments are greatly appreciated.
   Thanks.
   ,